DynConstructors.Ctor (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util.dynamic, class: DynConstructors, class: Ctor

Package org.apache.hadoop.util.dynamic

# Class DynConstructors.Ctor<C>

java.lang.Object
org.apache.hadoop.util.dynamic.DynMethods.UnboundMethod
org.apache.hadoop.util.dynamic.DynConstructors.Ctor<C>

Enclosing class:
  DynConstructors

public static final class DynConstructors.Ctor<C> extends DynMethods.UnboundMethod

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DynMethods.BoundMethod`
  `bind(Object receiver)`
  Returns this method as a BoundMethod for the given receiver.
  `Class<? extends C>`
  `getConstructedClass()`
  `<R> R`
  `invoke(Object target, Object... args)`
  `<R> R`
  `invokeChecked(Object target, Object... args)`
  `boolean`
  `isStatic()`
  `C`
  `newInstance(Object... args)`
  `C`
  `newInstanceChecked(Object... args)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.util.dynamic.DynMethods.UnboundMethod

  `asStatic, invokeStatic, isNoop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getConstructedClass

    public Class<? extends C> getConstructedClass()

  - ### newInstanceChecked

    public C newInstanceChecked(Object... args) throws Exception
    Throws:
      `Exception`

  - ### newInstance

    public C newInstance(Object... args)

  - ### invoke

    public <R> R invoke(Object target, Object... args)
    Overrides:
      `invoke` in class `DynMethods.UnboundMethod`

  - ### invokeChecked

    public <R> R invokeChecked(Object target, Object... args) throws Exception
    Overrides:
      `invokeChecked` in class `DynMethods.UnboundMethod`
    Throws:
      `Exception`

  - ### bind

    public DynMethods.BoundMethod bind(Object receiver)
    Description copied from class: `DynMethods.UnboundMethod`
    Returns this method as a BoundMethod for the given receiver.
    Overrides:
      `bind` in class `DynMethods.UnboundMethod`
    Parameters:
      `receiver` - an Object to receive the method invocation
    Returns:
      a `DynMethods.BoundMethod` for this method and the receiver

  - ### isStatic

    public boolean isStatic()
    Overrides:
      `isStatic` in class `DynMethods.UnboundMethod`
    Returns:
      whether the method is a static method

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DynMethods.UnboundMethod`